#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeframever	5.115
%define		qtver		5.15.2
%define		kfname		prison

Summary:	A barcode abstraction layer
Name:		kf5-%{kfname}
Version:	5.115.0
Release:	1
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/frameworks/%{kdeframever}/%{kfname}-%{version}.tar.xz
# Source0-md5:	abf08dfa6dd1d274e7834964e5cd23c5
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5Gui-devel >= %{qtver}
BuildRequires:	Qt5Multimedia-devel >= %{qtver}
BuildRequires:	Qt5Test-devel >= %{qtver}
BuildRequires:	Qt5Widgets-devel >= %{qtver}
BuildRequires:	cmake >= 3.16
BuildRequires:	hspell-devel
BuildRequires:	hunspell-devel
BuildRequires:	kf5-extra-cmake-modules >= %{version}
BuildRequires:	libdmtx-devel
BuildRequires:	ninja
BuildRequires:	qrencode-devel
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	zlib-devel
BuildRequires:	zxing-cpp-nu-devel >= 1.2.0
Requires:	kf5-dirs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt5dir		%{_libdir}/qt5

%description
Prison has a Prison::AbstractBarcode, which is the base class for the
actual barcode generators, currently Prison::QRCodeBarcode and
Prison::DataMatrixBarcode are the two implemented barcode generators.

Prison currently ships a BarcodeWidget, which is a QWidget with a
barcode painted upon, as well as a BarcodeItem, which is a
QGraphicsItem with a barcode painted upon.

%package devel
Summary:	Header files for %{kfname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kfname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for %{kfname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kfname}.

%prep
%setup -q -n %{kfname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON

%ninja_build -C build

%if %{with tests}
%ninja_build -C build test
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%{_datadir}/qlogging-categories5/prison.categories
%ghost %{_libdir}/libKF5Prison.so.5
%{_libdir}/libKF5Prison.so.5.*.*
%ghost %{_libdir}/libKF5PrisonScanner.so.5
%{_libdir}/libKF5PrisonScanner.so.5.*.*
%{_libdir}/qt5/qml/org/kde/prison
%{_datadir}/qlogging-categories5/prison.renamecategories

%files devel
%defattr(644,root,root,755)
%{_includedir}/KF5/Prison
%{_libdir}/cmake/KF5Prison
%{_libdir}/qt5/mkspecs/modules/qt_Prison.pri
%{_libdir}/libKF5Prison.so
%{_includedir}/KF5/PrisonScanner
%{_libdir}/libKF5PrisonScanner.so
%changelog
* Sun Apr 14 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf5-prison.git;a=log;h=master

* Thu Mar 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 469617b
- updated to 5.115.0

* Thu Mar 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> ec67f84
- Revert "- updated to 5.249.0; rel 0.1"

* Sat Feb 03 2024 Witold Filipczyk <witekfl@poczta.onet.pl> a15d9fc
- updated to 5.249.0; rel 0.1

* Sun Jan 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> bf1ce31
- updated to 5.114.0

* Fri Dec 15 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 18c327f
- updated to 5.113.0

* Mon Nov 13 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 00a4605
- updated to 5.112.0

* Thu Oct 19 2023 Witold Filipczyk <witekfl@poczta.onet.pl> ab4ebde
- updated to 5.111.0

* Sun Sep 10 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 3a6484f
- updated to 5.110.0

* Fri Aug 18 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 459e949
- updated to 5.109.0; cmake -B build

* Sun Jul 09 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 6de6fd0
- updated to 5.108.0

* Sun Jun 18 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> efc9de6
- BR: Qt5Multimedia-devel

* Sun Jun 11 2023 Witold Filipczyk <witekfl@poczta.onet.pl> d21d2ee
- updated to 5.107.0

* Sun May 14 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 380aeca
- updated to 5.106.0

* Sun Apr 09 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 7bcb4da
- updated to 5.105.0

* Sun Apr 09 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> e34c5aa
- rebuild against QT 5.15.9

* Mon Mar 13 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 0de6b08
- updated to 5.104.0

* Sun Feb 12 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 111c361
- updated to 5.103.0

* Mon Jan 16 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 73c4498
- updated to 5.102.0

* Thu Jan 05 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 5693934
- rebuild against QT 5.15.8

* Sat Dec 10 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 7960fc2
- updated to 5.101.0

